


%define framework baloo
%define oname baloo5
%define kf5baloocore_major 5
%define libkf5baloocore %mklibname kf5baloocore %{kf5baloocore_major}
%define kf5balooengine_major 5
%define libkf5balooengine %mklibname kf5balooengine %{kf5balooengine_major}
%define baloo_devel %mklibname %name -d

Summary:        Baloo is a framework for searching and managing metadata
Name:           %oname
Version: 	5.33.0
Release:        %mkrel 2
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
Source1:        97-kde-baloo-filewatch-inotify.conf

URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  extra-cmake-modules
BuildRequires:  lmdb-devel

BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  kidletime-devel >= 5.20.0
BuildRequires:  kauth-devel >= 5.20.0
BuildRequires:  kcrash-devel >= 5.20.0
BuildRequires:  solid-devel >= 5.20.0
BuildRequires:  kio-devel >= 5.20.0
BuildRequires:  kdbusaddons-devel >= 5.20.0
BuildRequires:  %{_lib}kf5filemetadata-devel


%description
Baloo is a framework for searching and managing metadata

%files
%_sysconfdir/xdg/autostart/baloo_file.desktop
%_kf5_bindir/baloo_file
%_kf5_bindir/baloo_file_extractor
%_kf5_bindir/balooctl
%_kf5_bindir/baloosearch
%_kf5_bindir/balooshow
%_kf5_plugindir/kded/*.so
%_datadir/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.main.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_datadir/icons/hicolor/128x128/apps/baloo.png
%_kf5_services/*.protocol
%_kf5_plugindir/kio/*.so
%_kf5_qmldir/org/kde/baloo
%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Baloo.so.%{kf5baloocore_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5BalooEngine.so.%{kf5balooengine_major}*
#--------------------------------------------------------------------


%package -n %baloo_devel
Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:	devel(libKF5BalooEngine)

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %baloo_devel
%_kf5_includedir/Baloo
%_kf5_includedir/baloo_version.h
%_kf5_libdir/*.so
%_libdir/cmake/KF5Baloo
%_libdir/pkgconfig/Baloo.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%apply_patches

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

install -p -m644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf

#remove conflicts
rm -rf %buildroot/%{_datadir}/locale


%changelog
* Mon Apr 10 2018 adrianomorselli <adrianomorselli> 5.33.0-2uplos2018
- fixed 32bit

* Sun Mar 11 2018 adrianomorselli <adrianomorselli> 5.33.0-1uplos2018
- update
